Storyden
Auth

Auth Email Verify

Verify an email address using a token that was emailed to one of the account's email addresses either set via sign up or added later. The code is only six digits, so this endpoint MUST be rate limited to keep the search space out of reach of an unauthenticated caller.

POST/auth/email/verify

Verify an email address using a token that was emailed to one of the account's email addresses either set via sign up or added later.

The code is only six digits, so this endpoint MUST be rate limited to keep the search space out of reach of an unauthenticated caller.

storyden-session<token>

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/auth/email/verify" \  -H "Content-Type: application/json" \  -d '{    "email": "hello@storyden.org",    "code": "728562"  }'
{
  "id": "string"
}
Empty
Empty
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}